Adafruit_sensor.h (IDE 1.5.8)

Buenas tardes a todos, tengo un problemita que no se encontrar solucion con la librería Adafruit_sensor.h y es que no me deja compilar mi programa porque dice que no tengo la librería en el directorio de librerías.
El tema es que esta librería si que la tengo dentro de la carpeta libraries. La librería es la original de adafruit y estoy usando el IDE 1.5.8

Antes podía compilar sin problemas pero ahora todo el rato me muestra que no encuentra la librería..

Pego el resultado que me da la compilación y como podéis ver no encuentra realmente la librería:

C:\Users\Ricard\Desktop\6990\arduino-1.5.8/hardware/tools/avr/bin/avr-g++ -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -MMD -mmcu=atmega2560 -DF_CPU=16000000L -DARDUINO=158 -DARDUINO_AVR_MEGA2560 -DARDUINO_ARCH_AVR -IC:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\cores\arduino -IC:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\variants\mega -IC:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\libraries\SoftwareSerial -IC:\Users\Ricard\Dropbox\Arduino\libraries\ESP8266pro-master -IC:\Users\Ricard\Dropbox\Arduino\libraries\OneWire-master -IC:\Users\Ricard\Dropbox\Arduino\libraries\DallasTemperature -IC:\Users\Ricard\Dropbox\Arduino\libraries\DHT -IC:\Users\Ricard\Dropbox\Arduino\libraries\Wire -IC:\Users\Ricard\Dropbox\Arduino\libraries\BH1750-master -IC:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\libraries\SPI -IC:\Users\Ricard\Dropbox\Arduino\libraries\Adafruit_BMP280 -IC:\Users\Ricard\Dropbox\Arduino\libraries\MQ135-master C:\Users\Ricard\AppData\Local\Temp\build3909519345475440981.tmp\estacion_metereologica_ajax.cpp -o C:\Users\Ricard\AppData\Local\Temp\build3909519345475440981.tmp\estacion_metereologica_ajax.cpp.o

Porque puede ser que no sea capaz de encontrar la librería si se encuentra ubicada en la misma ruta que antes?
Llevo unos dias buscando solución y lo único que he encontrado es gente que dice que eso es por que la libreria no es correcta pero ya he probado varias (y ademas no entiendo porque antes funcionaba).
Gracias de antemano

Siempre que tienes un problema de este tipo, postea enlace de la librería y tu código para poder ayudarte.

Gracias por la info.!
La libreria que estoy usando es esta:

y el codigo de mi estacion meteorologica:
AVISO: no puedo ponerlo como codigo porque supera los 9000 caacteres permitidos por el foro

estacion_metereologica_ajax.ino (12.9 KB)

Si necesitais que lo suba de otra forma me decís ya que no como se procede en este caso.
Saludos

El código esta bien pero el error no se ve

C:\Users\Ricard\Desktop\6990\arduino-1.5.8/hardware/tools/avr/bin/avr-g++ -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -MMD -mmcu=atmega2560 -DF_CPU=16000000L -DARDUINO=158 -DARDUINO_AVR_MEGA2560 -DARDUINO_ARCH_AVR -I
C:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\cores\arduino -I
C:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\variants\mega -I
C:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\libraries\SoftwareSerial -I
C:\Users\Ricard\Dropbox\Arduino\libraries\ESP8266pro-master -I
C:\Users\Ricard\Dropbox\Arduino\libraries\OneWire-master -I
C:\Users\Ricard\Dropbox\Arduino\libraries\DallasTemperature -I
C:\Users\Ricard\Dropbox\Arduino\libraries\DHT -I
C:\Users\Ricard\Dropbox\Arduino\libraries\Wire -I
C:\Users\Ricard\Dropbox\Arduino\libraries\BH1750-master -I
C:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\libraries\SPI -I
C:\Users\Ricard\Dropbox\Arduino\libraries\Adafruit_BMP280 -I
C:\Users\Ricard\Dropbox\Arduino\libraries\MQ135-master 
C:\Users\Ricard\AppData\Local\Temp\build3909519345475440981.tmp\estacion_metereologica_ajax.cpp -o 
C:\Users\Ricard\AppData\Local\Temp\build3909519345475440981.tmp\estacion_metereologica_ajax.cpp.o

Esto he recuperado de tu error para hacerlo visible y no veo una librería mal instalada.

La que no veo en el listado ni nombrada es

#include <Adafruit_Sensor.h>

Buenas tardes Surbyte, esque es extraño porque antes compilaba sin problemas y creo que esta todo como antes. La librería la tengo en su carpeta correspondiente y no se lo que puede estar pasando.

surbyte:
El código esta bien pero el error no se ve

C:\Users\Ricard\Desktop\6990\arduino-1.5.8/hardware/tools/avr/bin/avr-g++ -c -g -Os -w -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics -MMD -mmcu=atmega2560 -DF_CPU=16000000L -DARDUINO=158 -DARDUINO_AVR_MEGA2560 -DARDUINO_ARCH_AVR -I

C:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\cores\arduino -I
C:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\variants\mega -I
C:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\libraries\SoftwareSerial -I
C:\Users\Ricard\Dropbox\Arduino\libraries\ESP8266pro-master -I
C:\Users\Ricard\Dropbox\Arduino\libraries\OneWire-master -I
C:\Users\Ricard\Dropbox\Arduino\libraries\DallasTemperature -I
C:\Users\Ricard\Dropbox\Arduino\libraries\DHT -I
C:\Users\Ricard\Dropbox\Arduino\libraries\Wire -I
C:\Users\Ricard\Dropbox\Arduino\libraries\BH1750-master -I
C:\Users\Ricard\Desktop\6990\arduino-1.5.8\hardware\arduino\avr\libraries\SPI -I
C:\Users\Ricard\Dropbox\Arduino\libraries\Adafruit_BMP280 -I
C:\Users\Ricard\Dropbox\Arduino\libraries\MQ135-master
C:\Users\Ricard\AppData\Local\Temp\build3909519345475440981.tmp\estacion_metereologica_ajax.cpp -o
C:\Users\Ricard\AppData\Local\Temp\build3909519345475440981.tmp\estacion_metereologica_ajax.cpp.o




Esto he recuperado de tu error para hacerlo visible y no veo una librería mal instalada. 

La que no veo en el listado ni nombrada es


#include <Adafruit_Sensor.h>

Como dato a aportar, e de decir que con la versión 1.6.5 de IDE me compila el ejemplo del BMP280.
En cambio con el ide 1.5.8 que es el que estoy usando en el proyecto y que había funcionado sin problemas ahora no me compila ni el ejemplo del bmp280.

Me pasaba exactamente lo mismo que a vos. Bajé la librería de Adafruit, y otras tantas que iba solicitando la compilación.
Lo resolví instalando la librería DHT11 (aúnque mi sensor es un AM2302 compatible con DHT22) y me empezaron a funcionar los sketch que antes tiraban error, inclusive aúnque no llame a esa librería específica.
Espero poder haber ayudado.